#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FilteringDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        string FilterText = string.Empty;

        public MainWindow()
        {
            InitializeComponent();
            btn.Click += Btn_Click;
        }

        private void Btn_Click(object sender, RoutedEventArgs e)
        {
            sfGrid.Columns["Name"].FilterPredicates.Clear();
            if (string.IsNullOrEmpty(FilterBox.Text))
                return;

            sfGrid.Columns["Name"].FilterPredicates.Add(new Syncfusion.Data.FilterPredicate()
            {
                FilterBehavior = Syncfusion.Data.FilterBehavior.StringTyped,
                FilterMode = Syncfusion.Data.ColumnFilter.DisplayText,
                FilterType = Syncfusion.Data.FilterType.Contains,
                FilterValue = FilterBox.Text,
                IsCaseSensitive = false
            });
        }
    }
}
